# wxDCClipper Class Reference
[Graphics Device Interface (GDI)]

`#include <wx/dc.h>`

## Detailed Description

wxDCClipper is a small helper class for setting a clipping region on a wxDC and unsetting it automatically.

An object of wxDCClipper class is typically created on the stack so that it is automatically destroyed when the object goes out of scope. A typical usage example:

        void MyFunction(wxDC& dc)
        {
            wxDCClipper clip(dc, rect);
            // ... drawing functions here are affected by clipping rect ...
        }

        void OtherFunction()
        {
            wxDC dc;
            MyFunction(dc);
            // ... drawing functions here are not affected by clipping rect ...
        }

##

Library: wxCore

Category: Graphics Device Interface (GDI)

See also:
  wxDC::SetClippingRegion(), wxDCFontChanger, wxDCTextColourChanger, wxDCPenChanger, wxDCBrushChanger

## Public Member Functions
| ~wxDCClipper ()
| Destroys the clipping region associated with the DC passed to the ctor.
| wxDCClipper (wxDC &dc, const wxRegion &r)
| Sets the clipping region to the specified region/coordinates.
| wxDCClipper (wxDC &dc, const wxRect &rect)
| Sets the clipping region to the specified region/coordinates.
| wxDCClipper (wxDC &dc, wxCoord x, wxCoord y, wxCoord w, wxCoord h)
| Sets the clipping region to the specified region/coordinates.

List of all members.

## Constructor & Destructor Documentation

wxDCClipper::wxDCClipper | ( | wxDC & | dc,
|  | const wxRegion & | r |
| ) |  |  |

Sets the clipping region to the specified region/coordinates.

The clipping region is automatically unset when this object is destroyed.

wxDCClipper::wxDCClipper | ( | wxDC & | dc,
|  | const wxRect & | rect |
| ) |  |  |

Sets the clipping region to the specified region/coordinates.

The clipping region is automatically unset when this object is destroyed.

wxDCClipper::wxDCClipper | ( | wxDC & | dc,
|  | wxCoord | x,
|  | wxCoord | y,
|  | wxCoord | w,
|  | wxCoord | h |
| ) |  |  |

Sets the clipping region to the specified region/coordinates.

The clipping region is automatically unset when this object is destroyed.

wxDCClipper::~wxDCClipper | ( |  | ) |

Destroys the clipping region associated with the DC passed to the ctor.

|  | [ top ]